# Welcome to DEM documentation!

[![pypi-badge](https://img.shields.io/pypi/v/biodem)](https://pypi.org/project/biodem)
[![pypi-badge](https://img.shields.io/pypi/dm/biodem.svg?label=Pypi%20downloads)](https://pypi.org/project/biodem)
![License](https://img.shields.io/github/license/cma2015/DEM)

---

# Dual-Extraction Modeling (DEM): A multi-modal deep-learning architecture for phenotypic prediction and functional gene mining of complex traits

[DOI: 10.1016/j.xplc.2024.101002](https://doi.org/10.1016/j.xplc.2024.101002)

A multi-modal deep-learning architecture designed to extract representative features from diverse omics datasets. DEM enables robust and precise prediction of qualitative and quantitative traits phenotypes.

![DEM architecture](images/fig_1.png)

### Key Features:
- **Multi-Modal Deep Learning**: DEM efficiently integrates heterogeneous omics data for both classification and regression tasks.
- **High Accuracy & Generalizability**: Benchmarking experiments demonstrate DEM’s superior accuracy, robustness, and flexibility across various complex trait predictions.
- **Explainability**: DEM excels at identifying pleiotropic genes, such as those influencing flowering time and rosette leaf number, with impressive Explainability.
- **User-Friendly Software**: The repository includes easy-to-use tools for seamless application of DEM.

The **DEM** is implemented in the Python package [**`biodem`**](https://pypi.org/project/biodem), which comprises 4 modules:

- Data preprocessing
- Dual-extraction modeling
- Phenotypic prediction
- Functional gene mining

![modules of biodem](images/fig_7.png)
